Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum PresenceExtendedStatus

    java.lang.Object
      java.lang.Enum<PresenceExtendedStatus>
          com.nortel.soa.oi.cct.types.PresenceExtendedStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PresenceExtendedStatus>

    public enum PresenceExtendedStatus

extends java.lang.Enum<PresenceExtendedStatus>

Java class for presenceExtendedStatus.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="presenceExtendedStatus">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="EXT_UNREACHABLE"/>
         <enumeration value="EXT_REACHABLE"/>
         <enumeration value="EXT_BUSY"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`EXT_BUSY`
`EXT_REACHABLE`
`EXT_UNREACHABLE`

Method Summary
`static PresenceExtendedStatus` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static PresenceExtendedStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PresenceExtendedStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXT_UNREACHABLE

    public static final PresenceExtendedStatus EXT_UNREACHABLE

### EXT_REACHABLE

    public static final PresenceExtendedStatus EXT_REACHABLE

### EXT_BUSY

    public static final PresenceExtendedStatus EXT_BUSY

Method Detail

### values

    public static PresenceExtendedStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PresenceExtendedStatus c : PresenceExtendedStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PresenceExtendedStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static PresenceExtendedStatus fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.